﻿@page
@using Canyon.Backend.Web.Services;
@using Microsoft.AspNetCore.Mvc.Localization;
@inject IHtmlLocalizer HtmlLocalizer;
@inject IStringLocalizer StringLocalizer;
@model IndexModel
@{
    ViewData[TITLE] = StringLocalizer["Home"];
}

<div class="row">
    <div class="col-md-6">
        <div class="card">
            <div class="card-body">
                <h5 id="adminActivity" class="card-title">@StringLocalizer["AdminActivity"]</h5>
                <table class="table table-responsive table-hover" aria-describedby="adminActivity">
                    <tbody>
                        @foreach (var evt in Model.GeneralLogs)
                        {
                            <tr>
                                <td>@evt.Timestamp.ToString("yyyy-MM-dd HH:mm:ss.fff")</td>
                                <td>@(evt.Account?.UserName ?? StringLocalizer["None"])</td>
                                <td>@evt.IpAddress</td>
                                <td>@StringLocalizer.GetString($"LogEvent{evt.Message}")</td>
                                <td>
                                    @if (evt.Success)
                                    {
                                        <span class="badge text-bg-success">
                                            @StringLocalizer.GetString("Success")
                                        </span>
                                    }
                                    else
                                    {
                                        <span class="badge text-bg-danger">
                                            @StringLocalizer.GetString("Fail")
                                        </span>
                                    }
                                </td>
                            </tr>
                        }
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="card">
            <div class="card-body">
                <h5 id="realmStatus" class="card-title">@StringLocalizer["RealmStatus"]</h5>
                <table class="table table-responsive table-hover" aria-describedby="realmStatus">
                    <thead>
                        <tr>
                            <th>@StringLocalizer["RealmName"]</th>
                            <th>@StringLocalizer["PigletServer"]</th>
                            <th>@StringLocalizer["RealmStatus"]</th>
                            <th>@StringLocalizer["RealmData"]</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var s in Model.RealmStatus)
                        {
                            string realmColor = "danger";
                            if (s.StatusInt == RealmStatusService.ServerBusy || s.StatusInt == RealmStatusService.ServerFull)
                            {
                                realmColor = "warning";
                            }
                            else if (s.StatusInt == RealmStatusService.ServerUp)
                            {
                                realmColor = "success";
                            }

                            string gmRealmColor = "danger";
                            if (s.GmServerConnected)
                            {
                                gmRealmColor = "success";
                            }
                            <tr>
                                <td>@s.RealmName</td>
                                <td>
                                    <span class="badge text-bg-@gmRealmColor">
                                        @StringLocalizer.GetString(s.GmServerConnected ? "Online" : "Offline")
                                    </span>
                                </td>
                                <td>
                                    <span class="badge text-bg-@realmColor">
                                        @StringLocalizer.GetString(s.Status)
                                    </span>
                                </td>
                                <td>
                                    @if (s.StatusInt != RealmStatusService.ServerDown)
                                    {
                                        @HtmlLocalizer["RealmOnlinePlayersStatus", s.PlayersOnline, s.MaxPlayersOnline]
                                    }
                                    else
                                    {
                                        @StringLocalizer["None"]
                                    }
                                </td>
                            </tr>
                        }
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>